Bug 14126 - first shell prompt "invisible" until a focus change
: first shell prompt "invisible" until a focus change
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/rxvt-unicode)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2008-01-22 19:45 by
Modified: 2012-03-16 13:58 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2008-01-22 19:45:09
При запуске urxvt -fn '-*-terminus-medium-r-*-*-20-*-*-*-*-*-*-u' 
появляется пустое окно -- если жмакнуть Enter, видим _два_ 
промпта шелла (бишь первый был "невидим").
Пробел, backspace, shift -- тоже годятся как антифриз :)

От шелла (zsh, bash, sh, ash) -- не зависит.  
В локалях ru_RU.{KOI8-R,UTF-8} поведение одинаковое.

Пару месяцев тому такого точно не наблюдал; откатил пакет
на 8.2-alt3 из бранча -- о, всё в порядке.
------- Comment #1 From 2008-01-23 12:22:50 -------
Accept. С поправкой что нужно поменять фокус у окна.
------- Comment #2 From 2008-01-26 14:19:43 -------
Вроде бы в свежей версии только что исправили что-то похожее:

Date: Fri, 25 Jan 2008 13:21:04 -0800 (PST)
Subject: [fmII] rxvt-unicode 9.0 released (Default branch)

This email is to inform you about the release of version '9.0' of
'rxvt-unicode' through freshmeat.net. All URLs and other useful
information can be found at

    http://freshmeat.net/projects/rxvt-unicode/

The changes in this release are as follows:
Calling urxvtc with illegal arguments will no longer crash urxvtd. Xft
font drawing has been rewritten to be faster and more correct again
(fixing the compose character corruption). The xterm bracketed paste
mode extension has been implemented. The RENDER server extension is
no longer required for transparency and background pixmaps. The
documentation concerning alpha channels in colours has been improved,
the "urxvt stays black until the first event arrives" bug has been
fixed, and a number of minor cleanups and bugfixes have been
implemented.

Release focus:
7 - Major bugfixes
------- Comment #3 From 2008-01-28 11:48:57 -------
Нифига там не исправлено.
Вообщем бага в том что содержимое окна не отрисовывается пока не придёт _любое_
событие от X'ов.

$ urxvt & urxvt &

Первый терминал отрисует содержимое, второй нет.

Пока найти багу мне не удалось. Между 8.2 и 8.9 очень много изменений.
------- Comment #4 From 2008-03-04 03:45:48 -------
Исправлено в 9.02.
------- Comment #5 From 2008-03-09 22:04:44 -------
Спасибо!